POST api/departmentItemapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

DepartmentItemViewModel
NameDescriptionTypeAdditional information
item_code

string

None.

item_descriptions

Dictionary of string [key] and string [value]

None.

selected_sticker_id

globally unique identifier

None.

selected_nameplate_id

globally unique identifier

None.

active

boolean

Required

department_id

globally unique identifier

Required

id

globally unique identifier

None.

physical_item_id

globally unique identifier

None.

service_item_id

globally unique identifier

None.

item_wash_max

integer

None.

quantity

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "item_code": "sample string 1",
  "item_descriptions": {
    "sample string 1": "sample string 2",
    "sample string 3": "sample string 4"
  },
  "selected_sticker_id": "8dde092d-5a80-415b-8f7e-cfe2eb7961d4",
  "selected_nameplate_id": "891c64a4-6289-427a-a45a-f04e2a285f88",
  "active": true,
  "department_id": "191ac030-8135-4c62-8194-38741a224831",
  "id": "4d05740d-1610-4932-b075-f8b773500fb1",
  "physical_item_id": "e07800b4-4613-4201-8455-5b72550e04e7",
  "service_item_id": "a06769a4-04d6-4611-95aa-32e235576bec",
  "item_wash_max": 1,
  "quantity": 1
}

application/xml, text/xml

Sample:
<department_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <department_id>191ac030-8135-4c62-8194-38741a224831</department_id>
  <id>4d05740d-1610-4932-b075-f8b773500fb1</id>
  <item_wash_max>1</item_wash_max>
  <physical_item_id>e07800b4-4613-4201-8455-5b72550e04e7</physical_item_id>
  <quantity>1</quantity>
  <service_item_id>a06769a4-04d6-4611-95aa-32e235576bec</service_item_id>
  <item_code>sample string 1</item_code>
  <item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:KeyValueOfstringstring>
      <d2p1:Key>sample string 1</d2p1:Key>
      <d2p1:Value>sample string 2</d2p1:Value>
    </d2p1:KeyValueOfstringstring>
    <d2p1:KeyValueOfstringstring>
      <d2p1:Key>sample string 3</d2p1:Key>
      <d2p1:Value>sample string 4</d2p1:Value>
    </d2p1:KeyValueOfstringstring>
  </item_descriptions>
  <selected_nameplate_id>891c64a4-6289-427a-a45a-f04e2a285f88</selected_nameplate_id>
  <selected_sticker_id>8dde092d-5a80-415b-8f7e-cfe2eb7961d4</selected_sticker_id>
</department_item>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"45095e77-d0b1-4fa3-a3d6-3a98a235b960"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">45095e77-d0b1-4fa3-a3d6-3a98a235b960</guid>